]> git.datanom.net - schooladm.git/blame - autogen.sh
initial upload
[schooladm.git] / autogen.sh
CommitLineData
f5429b2e
MR
1#!/bin/bash
2
3echo "Rebuilding build system......"
4
5autoreconf --version 2>&1 > /dev/null 2>&1
6
7if [ ! -e m4 ]; then
8 mkdir m4
9fi
10
11if [ $? -eq 0 ]; then
12 AUTORECONF=autoreconf
13else
14 AUTORECONF=
15fi
16
17error() {
18 echo "Missing tool: $1"
19 echo "Cannot proceed until the missing tool is available"
20 exit 1
21}
22
23if [ ! -z ${AUTORECONF} ]; then
24 echo "Using autoreconf to rebuild build system"
25 autoreconf --force --install --symlink
26else
27 echo "No autoreconf found. Using plain old tools to rebuild build system"
28 libtoolize --automake --force || error libtoolize
29 aclocal -I m4 || error aclocal
30 autoheader --force || error autoheader
31 automake --add-missing --force-missing --gnu || error automake
32 autoconf --force || error autoconf
33fi
34./configure --enable-maintainer-mode $*
35
36exit 0
This page took 0.030833 seconds and 5 git commands to generate.